[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#528437: klipper can't launch firefox window

Package: klipper
Version: 4:4.2.2-2
Severity: important
Tags: patch

The klipperrc patterns for Firefox and Mozilla don't work - the quoting is
wrong, and in any case, it's wrong to force "new-window".


--- /usr/share/kde4/config/klipperrc.dpkg-dist	2009-05-12 13:14:30.000000000 -0700
+++ /usr/share/kde4/config/klipperrc	2009-05-12 13:18:50.000000000 -0700
@@ -393,5 +393,5 @@
-Commandline=ps x |grep -q '[m]ozilla' && mozilla -remote openURL(%s, new-window) || mozilla %s
+Commandline=ps x |grep -q '[m]ozilla' && mozilla -remote openURL\\(%s\\) || mozilla %s
 Description=Open with &Mozilla
@@ -563,5 +563,5 @@
-Commandline=ps x |grep -q '[f]irefox' && firefox -remote openURL(%s, new-window) || firefox %s
+Commandline=ps x |grep -q '[f]irefox' && firefox -remote openURL\\(%s\\) || firefox %s
 Description=Open with &Firefox
@@ -1858,5 +1858,6 @@
-Commandline=mozilla -remote openURL(%s, new-window)
+Commandline=mozilla -remote openURL\\(%s\\)
 Description=Open with &Mozilla
 Description[af]=Maak oop met Mozilla

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.29-2-686 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages klipper depends on:
ii  kdebase-runtime        4:4.2.2-1         runtime components from the offici
ii  kdelibs5               4:4.2.2-2         core libraries for all KDE 4 appli
hi  libc6                  2.9-10            GNU C Library: Shared libraries
ii  libqt4-dbus            4.5.1-2           Qt 4 D-Bus module
ii  libqtcore4             4.5.1-2           Qt 4 core module
ii  libqtgui4              4.5.1-2           Qt 4 GUI module
ii  libstdc++6             4.4.0-4           The GNU Standard C++ Library v3
ii  libx11-6               2:1.2.1-1         X11 client-side library
ii  libxfixes3             1:4.0.3-2         X11 miscellaneous 'fixes' extensio
ii  zlib1g                 1: compression library - runtime

klipper recommends no packages.

klipper suggests no packages.

-- no debconf information

Reply to: